"use strict";

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

(function () {
  var toArray = function toArray(pseudo) {
    return Array.prototype.slice.call(pseudo);
  };

  var find = function find(selector) {
    var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;
    return toArray(parent.querySelectorAll(selector));
  };

  Drupal.behaviors.paragraphDefaultsTabs = {
    attach: function attach() {
      find('.tab-container').forEach(function (container) {
        if (!(container.getAttribute('data-tabs-active') | 0)) {
          container.addEventListener('click', function (e) {
            var elem = e.target;

            if (toArray(elem.classList).indexOf('tabs-tab') >= 0 && elem.getAttribute('data-tab-id')) {
              var tabid = elem.getAttribute('data-tab-id');
              [].concat(_toConsumableArray(find('.tabs-tab', container)), _toConsumableArray(find('.tabs-content', container))).forEach(function (tab) {
                if (tab.getAttribute('data-tab-id') === tabid) {
                  tab.classList.add('active');
                } else {
                  tab.classList.remove('active');
                }
              });
              e.preventDefault();
              e.stopPropagation();
            }
          });
          container.setAttribute('data-tabs-active', 1);
        }
      });
    }
  };
})();
//# sourceMappingURL=tabs.js.map
