(function () {
  let toArray = pseudo => Array.prototype.slice.call(pseudo);
  let find = (selector, parent = document) => toArray(parent.querySelectorAll(selector));

  Drupal.behaviors.paragraphDefaultsTabs = {
    attach: () => {
      find('.tab-container').forEach(container => {
        if (!(container.getAttribute('data-tabs-active') | 0)) {
          container.addEventListener('click', e => {
            let elem = e.target;

            if (toArray(elem.classList).indexOf('tabs-tab') >= 0 && elem.getAttribute('data-tab-id')) {
              let tabid = elem.getAttribute('data-tab-id');
              [...find('.tabs-tab', container), ...find('.tabs-content', container)].forEach(tab => {
                if (tab.getAttribute('data-tab-id') === tabid) {
                  tab.classList.add('active');
                } else {
                  tab.classList.remove('active');
                }
              });

              e.preventDefault();
              e.stopPropagation();
            }
          });
          container.setAttribute('data-tabs-active', 1);
        }
      });
    }
  };
})();
